<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>1. lekce</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>

    <!-- 1. moznost -->
    <script src='1lekce.js'></script>
</head>

<body>

    <!-- 2. moznost -->
    <script>
        console.log(3);
    </script>

    <script>
        // Definice promennych

        // lze prepsat
        let variable1 = `ahoj svete!`;  // Textový řetězec (string)
        let promenna2 = "2022";         // Číslo jako textový řetězec (string)
        let numberValue = 24;           // Číslo (number)
        let boolean = true;             // Pravdivostní hodnota (Boolean)
        let object = {                  // Objekt (object)
            name: "Josef",
            surname: "Novak",
            inSchool: true
        }

        // nelze prepsat
        const variable11 = "ahoj druhy svete!";
        const datetime = new Date();
        const numberValueAsConstant = 10;
        const isWithDiscount = false;
        
        // nepouzivat
        var stringValue = "ahoj treti svete!";
        var age = 33;

    </script>

</body>

</html>